View Issue Details

IDProjectCategoryView StatusLast Update
0027375LazarusLCLpublic2020-03-16 19:20
ReporterDerit Agustin Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformwin32OSWindows 
Summary0027375: If a Form is started with wsMaximized (set in OI), it does not restore to designed Size
Descriptionthis attacthed video bug resize form to default size
TagsNo tags attached.
Fixed in Revisionr61997, r62113
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0022771 resolvedJuha Manninen When FormStyle = wsMaximized, after restore Widht/Height have wrong values 
related to 0021119 resolvedZeljan Rikalo When a form is started as wsMaximized height and width report design time values 
related to 0036127 resolvedJuha Manninen [Patch] TForm's bounds and restored bounds are inconsistent 

Activities

Derit Agustin

2015-01-28 19:08

reporter  

bugresizeform.zip (1,644,672 bytes)

Juha Manninen

2015-02-01 10:25

developer   ~0080713

Looks like a bug in Delphi.

Derit Agustin

2015-02-02 02:54

reporter   ~0080746

form in lazarus not resize to default size when border double click

Martin Friebe

2015-02-06 15:59

manager   ~0080816

Can be reproduced:

New project "Application"
Form will have Height 240 Width 320

Change in OI WindowState to vsMaximized

Run

On the running app click the button (right corner of title bar in windows) for wsNormal.

Expected: Form returns to Height 240 Width 320
Actual: Form Height/Width remains equal to Screen Height/Width. Form is only moved a bit.


There is a series of other issues related to WindowState. May or may not be of interest to this

Martin Friebe

2015-02-06 16:02

manager   ~0080817

@Derit:

You can attach videos if you like. But please always give a short written (English) description.

Martin Friebe

2015-02-06 16:05

manager   ~0080818

Changed Subject

Derit Agustin

2015-02-06 21:32

reporter   ~0080822

Last edited: 2015-02-06 21:40

View 2 revisions

@martin

New project "Application"
Form will have Height 240 Width 320

i Change in OI WindowState to wsMaximized

and Run

result not return to default size the form Height 240 Width 320

i found return Height=screen Height and Width=screen Width of the screen

Juha Manninen

2020-03-16 19:20

developer   ~0121624

Fixed together with related issue 0036127.

Issue History

Date Modified Username Field Change
2015-01-28 19:08 Derit Agustin New Issue
2015-01-28 19:08 Derit Agustin File Added: bugresizeform.zip
2015-02-01 10:25 Juha Manninen Note Added: 0080713
2015-02-02 02:54 Derit Agustin Note Added: 0080746
2015-02-06 15:59 Martin Friebe Note Added: 0080816
2015-02-06 15:59 Martin Friebe Relationship added related to 0022771
2015-02-06 16:00 Martin Friebe Relationship added related to 0021119
2015-02-06 16:02 Martin Friebe Note Added: 0080817
2015-02-06 16:05 Martin Friebe LazTarget => -
2015-02-06 16:05 Martin Friebe Note Added: 0080818
2015-02-06 16:05 Martin Friebe Summary Form not Restore Default Size => If a Form is started with wsMaximized (set in OI), it does not restore to designed Size
2015-02-06 21:32 Derit Agustin Note Added: 0080822
2015-02-06 21:40 Derit Agustin Note Edited: 0080822 View Revisions
2019-10-03 14:33 Juha Manninen Relationship added related to 0036127
2020-03-16 19:20 Juha Manninen Assigned To => Juha Manninen
2020-03-16 19:20 Juha Manninen Status new => resolved
2020-03-16 19:20 Juha Manninen Resolution open => fixed
2020-03-16 19:20 Juha Manninen Fixed in Revision => r61997, r62113
2020-03-16 19:20 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-03-16 19:20 Juha Manninen Note Added: 0121624